Archives of a URL mentioned before the URL, not after, will result in the archive getting ignored.
Closed, ResolvedPublic

Description

IABot is inserting duplicate archives in cases where the archive URL is mentioned in a source before the actual URL. This is because the archive URL is always assumed to be after the original. Cyberbot needs to be able to handle these cases too.

Cyberpower678 raised the priority of this task from Normal to High.Jul 24 2016, 6:20 AM
Glaisher removed a subscriber: Glaisher.Jul 25 2016, 4:17 AM

This is a rather complicated bug to fix. The bot's been built around the fact that the archive usually comes after the initial URL.

Cyberpower678 changed the task status from Open to Stalled.Jul 30 2016, 2:02 PM

Waiting to be tested.

Tested this patch on the given article, and it seems to work.

Cyberpower678 closed this task as Resolved.Jul 31 2016, 8:57 PM
DannyH moved this task from Untriaged to Archive on the Community-Tech board.Aug 1 2016, 11:03 PM